# $Revision: 1.40 $, $Date: 2010/02/18 00:49:29 $
#
# Conditional build:
%bcond_without	gtk	# without gtk support
%bcond_without	qt	# without qt support
%bcond_without	gadgets	# without gadgets

%define 	rev	r1084

# use this to get latest rev:
# svn export http://google-gadgets-for-linux.googlecode.com/svn/trunk/ google-gadgets-for-linux
Summary:	Google Gadgets for Linux
Name:		google-gadgets
Version:	0.11.2
Release:	3
License:	Apache License v2.0
Group:		X11/Applications
#Source0:	%{name}-for-linux-%{version}-%{rev}.tar.bz2
Source0:	http://google-gadgets-for-linux.googlecode.com/files/%{name}-for-linux-%{version}.tar.bz2
# Source0-md5:	279305553bcbf74f3e3615f6abc36a5e
Source1:	%{name}-for-linux-gtk.desktop
Source2:	%{name}-for-linux-qt.desktop
Patch0:		%{name}-for-linux-cmake.patch
Patch1:		%{name}-for-linux-link_with_qtnetwork.patch
Patch2:		%{name}-for-linux-js.patch
URL:		http://code.google.com/p/google-gadgets-for-linux/
BuildRequires:	NetworkManager-devel >= 0.6.5
%if %{with qt}
BuildRequires:	QtCore-devel >= 4.4.3
BuildRequires:	QtNetwork-devel >= 4.4.3
BuildRequires:	QtScript-devel >= 4.4.3
BuildRequires:	QtWebKit-devel >= 4.4.3
%endif
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with gtk}
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	startup-notification-devel
%endif
BuildRequires:	curl-devel >= 7.18.2
BuildRequires:	dbus-devel >= 1.0.2
BuildRequires:	flex
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	gtk-webkit-devel
BuildRequires:	libltdl-devel
BuildRequires:	librsvg-devel
BuildRequires:	libtool >= 2:1.5.22
BuildRequires:	libxml2-devel >= 1:2.4.0
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	xulrunner-devel >= 1.8
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.0
Requires:	libggadget = %{version}-%{release}
Provides:	google-gadgets-for-linux-gadgets = %{version}
Obsoletes:	google-gadgets-for-linux-gadgets
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

%package -n libggadget
Summary:	Google Gadgets main libraries
Group:		Libraries
Requires:	dbus >= 1.0.21G
Requires:	libltdl
Obsoletes:	google-gadgets-for-linux

%description -n libggadget
This package contains the main Google Gadgets libraries, it is
required by both the GTK+ and QT versions of Google Gadgets.

%package -n libggadget-devel
Summary:	Google Gadgets main development files
Group:		Development/Libraries
Requires:	dbus-devel >= 1.0.2
Requires:	libggadget = %{version}-%{release}

%description -n libggadget-devel
This package contains the development files assoicated with
libggadget, it is needed to write programs that utilise libggadget.

%description -n libggadget-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki google-gadgets.

%package -n libggadget-gtk
Summary:	Google Gadgets GTK+ library
Group:		Libraries
Requires:	cairo >= 1.2.0
Requires:	gtk+2 >= 2:2.10.0
Requires:	libggadget = %{version}-%{release}
Requires:	librsvg >= 1:2.18.0

%description -n libggadget-gtk
This package contains the GTK+ Google Gadgets library, it is required
to run the GTK+ version of Google Gadgets.

%package -n libggadget-gtk-devel
Summary:	Google Gadgets GTK+ development files
Group:		Development/Libraries
Requires:	cairo-devel >= 1.2.0
Requires:	gtk+2-devel >= 2:2.10.0
Requires:	libggadget-devel = %{version}-%{release}
Requires:	libggadget-gtk = %{version}-%{release}
Requires:	librsvg-devel >= 1:2.18.0

%description -n libggadget-gtk-devel
This package contains the development files assoicated with
libggadget-gtk, it is needed to write GTK+ programs that utilise
libggadget.

%package -n libggadget-qt
Summary:	Google Gadgets QT library
Group:		Libraries
Requires:	QtWebKit >= 4.4.0
Requires:	libggadget = %{version}-%{release}

%description -n libggadget-qt
This package contains the QT Google Gadgets library, it is required to
run the QT version of Google Gadgets.

%package -n libggadget-qt-devel
Summary:	Google Gadgets QT development files
Group:		Development/Libraries
Requires:	QtWebKit-devel >= 4.4.0
Requires:	libggadget-devel = %{version}-%{release}
Requires:	libggadget-qt = %{version}-%{release}

%description -n libggadget-qt-devel
This package contains the development files assoicated with
libggadget-qt, it is needed to write QT programs that utilise
libggadget.

%package gtk
Summary:	GTK+ Version of Google Gadgets
Group:		X11/Applications
Requires:	google-gadgets = %{version}-%{release}
Requires:	google-gadgets-gst = %{version}-%{release}
Requires:	google-gadgets-xul = %{version}-%{release}
Requires:	libggadget-gtk = %{version}-%{release}
Obsoletes:	google-gadgets-for-linux-gtk

%description gtk
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the GTK+ version.

%package qt
Summary:	QT Version of Google Gadgets
Group:		X11/Applications
Requires:	google-gadgets = %{version}-%{release}
Requires:	google-gadgets-gst = %{version}
Requires:	libggadget-qt = %{version}-%{release}
Obsoletes:	google-gadgets-for-linux-qt

%description qt
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the QT version.

%package gst
Summary:	GStreamer modules for Google Gadgets
Group:		X11/Applications
Requires:	gstreamer-plugins-base >= 0.10.6
Requires:	libggadget = %{version}-%{release}

%description gst
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the GStreamer modules.

%package xul
Summary:	XULRunner modules for Google Gadgets
Group:		X11/Applications
Requires:	libggadget = %{version}-%{release}
Requires:	xulrunner

%description xul
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the XULRunner modules.

%prep
%setup -q -n %{name}-for-linux-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d libltdl
%{__libtoolize}
%{__aclocal} -I autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-ltdl-install \
	--disable-static \
	--disable-werror \
	--with-oem-brand=pld-linux \
	--with-browser-plugins-dir=%{_libdir}/browser-plugins

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# desync with cmake/ac makefiles
mv $RPM_BUILD_ROOT%{_datadir}/mime/packages/{00-,}google-gadgets.xml
# desktop files
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/ggl-gtk.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/ggl-qt.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/google-gadgets/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libggadget -p /sbin/ldconfig
%postun -n libggadget -p /sbin/ldconfig

%post -n libggadget-gtk -p /sbin/ldconfig
%postun -n libggadget-gtk -p /sbin/ldconfig

%post -n libggadget-qt -p /sbin/ldconfig
%postun -n libggadget-qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%dir %{_libdir}/google-gadgets
%dir %{_libdir}/google-gadgets/modules
%attr(755,root,root) %{_libdir}/google-gadgets/modules/analytics-usage-collector.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/curl-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/dbus-script-class.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/default-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/default-options.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/google-gadget-manager.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/libxml2-xml-parser.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/linux-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/html-flash-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/soup-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/webkit-script-runtime.so
%dir %{_datadir}/google-gadgets
%{_datadir}/google-gadgets/*.gg
%{_datadir}/mime/packages/google-gadgets.xml
%{_iconsdir}/*/*/*/*.png
%{_pixmapsdir}/google-gadgets.png

%files -n libggadget
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-dbus-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-dbus-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-js-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-js-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-npapi-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-npapi-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-xdg-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-xdg-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-webkitjs-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-webkitjs-1.0.so.*.*.*

%files -n libggadget-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets
%dir %{_includedir}/google-gadgets/ggadget
%dir %{_includedir}/google-gadgets/ggadget/dbus
%dir %{_includedir}/google-gadgets/ggadget/js
%dir %{_includedir}/google-gadgets/ggadget/xdg
%dir %{_includedir}/google-gadgets/ggadget/npapi
%{_includedir}/google-gadgets/ggadget/*.h
%{_includedir}/google-gadgets/ggadget/dbus/*.h
%{_includedir}/google-gadgets/ggadget/js/*.h
%{_includedir}/google-gadgets/ggadget/xdg/*.h
%{_includedir}/google-gadgets/ggadget/npapi/*.h
%dir %{_libdir}/google-gadgets/include
%dir %{_libdir}/google-gadgets/include/ggadget
%{_libdir}/google-gadgets/include/ggadget/sysdeps.h
%{_libdir}/libggadget-1.0*.so
%{_libdir}/libggadget-dbus-1.0*.so
%{_libdir}/libggadget-js-1.0*.so
%{_libdir}/libggadget-xdg-1.0*.so
%{_libdir}/libggadget-npapi-1.0*.so
%{_libdir}/libggadget-webkitjs-1.0*.so
%if 0
%{_libdir}/libggadget-1.0*.la
%{_libdir}/libggadget-dbus-1.0*.la
%{_libdir}/libggadget-js-1.0*.la
%{_libdir}/libggadget-xdg-1.0*.la
%{_libdir}/libggadget-npapi-1.0*.la
%endif
%{_pkgconfigdir}/libggadget-1.0.pc
%{_pkgconfigdir}/libggadget-dbus-1.0.pc
%{_pkgconfigdir}/libggadget-js-1.0.pc
%{_pkgconfigdir}/libggadget-xdg-1.0.pc
%{_pkgconfigdir}/libggadget-npapi-1.0.pc

%files -n libggadget-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-gtk-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-gtk-1.0.so.*.*.*

%files -n libggadget-gtk-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets/ggadget/gtk
%{_includedir}/google-gadgets/ggadget/gtk/*.h
%{_libdir}/libggadget-gtk-1.0*.so
#%{_libdir}/libggadget-gtk-1.0*.la
%{_pkgconfigdir}/libggadget-gtk-1.0.pc

%files -n libggadget-qt
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-qt-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-qt-1.0.so.*.*.*

%files -n libggadget-qt-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets/ggadget/qt
%{_includedir}/google-gadgets/ggadget/qt/*.h
%{_libdir}/libggadget-qt-1.0*.so
#%{_libdir}/libggadget-qt-1.0*.la
%{_pkgconfigdir}/libggadget-qt-1.0.pc

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ggl-gtk
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-edit-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-flash-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtkwebkit-browser-element.so
%{_desktopdir}/ggl-gtk.desktop
%{_desktopdir}/ggl-designer.desktop

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ggl-qt
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-edit-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-script-runtime.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qtwebkit-browser-element.so
%{_desktopdir}/ggl-qt.desktop

%files gst
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gst-audio-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gst-video-element.so

%files xul
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/google-gadgets/modules/smjs-script-runtime.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtkmoz-browser-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/gtkmoz-browser-child

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: google-gadgets.spec,v $
Revision 1.40  2010/02/18 00:49:29  sparky
- BR: gtk-webkit-devel

Revision 1.39  2010/02/17 21:13:23  arekm
- release 3

Revision 1.38  2010/01/27 18:42:03  arekm
- rel2

Revision 1.37  2010/01/27 18:41:53  arekm
- one more lib

Revision 1.36  2010/01/27 18:37:19  arekm
- up to 0.11.2

Revision 1.35  2009/09/15 19:56:08  rotom
- up to 0.11.1

Revision 1.34  2009/06/02 09:22:02  amateja
- updated to 0.11.0

Revision 1.33  2009/03/07 08:10:10  charles
- BR: qt4-build

Revision 1.32  2009/02/21 00:46:02  shadzik
- remove useless define

Revision 1.31  2009/01/08 15:56:36  shadzik
- 0.10.5 stable

Revision 1.30  2009/01/07 07:40:57  paszczus
- updated to 0.10.5 r1084

Revision 1.29  2009/01/03 13:59:42  rotom
- up to 0.10.5 r1074

Revision 1.28  2008/12/18 01:53:20  shadzik
- removed TODO

Revision 1.27  2008/12/18 01:51:20  shadzik
- reverted back to autotools (better supported than cmake)
- BR: autoconf and automake
- compiles, runs... the whole "show" now on 64bit too

Revision 1.26  2008/12/17 00:50:03  glen
- ggl-designer invokes ggl-gtk

Revision 1.25  2008/12/17 00:45:50  glen
- rel 2

Revision 1.24  2008/12/17 00:43:59  glen
- renamed to google-gadgets, subpkgs like suse

Revision 1.23  2008/12/16 23:46:54  glen
- cleanups, verbose files, whining on shadik, descs from suse src.rpm, but all qt/gtk linked stuff to their pkgs

Revision 1.22  2008/12/16 23:18:57  glen
- get rid of all .la from modules dir

Revision 1.21  2008/12/16 20:36:12  shadzik
- back to cmake
- add -qt and -gtk subpackages
- rel 1

Revision 1.20  2008/12/16 20:03:22  glen
- my md5

Revision 1.19  2008/12/16 19:59:43  shadzik
- 0.10.4 stable
- rel 0.1 NFY

Revision 1.18  2008/12/16 14:13:52  shadzik
- rel 2

Revision 1.17  2008/12/16 08:14:19  glen
- switch back to automake (at least i can patch it)
- fix smjs-script-runtime
- cmake patches need review, but it works now here

Revision 1.16  2008/12/15 23:23:21  glen
- get rid of .svn dirs (next time exclude .svn please from tarball)

Revision 1.15  2008/12/08 14:09:31  paszczus
- updated to 0.10.4 r1028
- adaptarized

Revision 1.14  2008/11/27 00:00:31  cactus
- svn address

Revision 1.13  2008/11/26 23:21:37  cactus
- BR: QtNetwork-devel
- patch1 for link with QtNetwork
- updated TODO

Revision 1.12  2008/11/26 22:02:35  cactus
- up to 0.10.4 rev 1015 - needed by kde4 4.1.80

Revision 1.11  2008/11/19 13:30:07  shadzik
- updated patch0
- rel 1

Revision 1.10  2008/11/19 00:55:08  shadzik
- try to fix this mess
- BR: librsvg-devel
- update Qt BRs (qt 4.3 is defenitely not enough)
- no mkdir in %prep
- no BC for xulrunner on x86_64 (builds fine)
- for now comment out -static subpackge as there're no static BRs

Revision 1.9  2008/11/19 00:29:39  cactus
- move to cmake
- needs cmake patch
- does not build on x86_64 because of xulrunner-devel ? - see TODO
- works with kde4-kdebase-workspace

Revision 1.8  2008/11/11 00:15:31  cactus
- up to 0.10.3

Revision 1.7  2008/10/13 18:00:24  witekfl
- utf8

Revision 1.6  2008/08/23 22:40:33  cactus
- BR: zip
- gadgets subpackage

Revision 1.5  2008/08/23 21:35:53  cactus
- fixed files

Revision 1.4  2008/08/23 20:30:09  cactus
- fixed sed arguments
- bcond debug

Revision 1.3  2008/08/23 09:13:29  cactus
- subpackages : devel,static
- fixed Source no.
- updated todo
- rel 0.2

Revision 1.2  2008/08/23 06:38:29  glen
- i was here

Revision 1.1  2008/08/22 23:13:09  cactus
- initial
